using System;

namespace petlja
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            int m = N - 26, k = N, i, faktorijel = 1, zbir = 0, ukupno;
            double napolje;
            string a;
            a = Console.ReadLine();
            while(m>0)
            {
                faktorijel *= m;
                m--;
            }
            while(k<0)
            {
                zbir += k;
                k--;
            }
            ukupno = k * m;
            napolje = ukupno % (Math.Pow(10, 9) + 7);
            Console.WriteLine(napolje);
        }
    }
}